#pragma once
#include "resource.h"

// Диалоговое окно CRequirementStageDlg

class CRequirementStageDlg : public CaplResizableDialog
{
	DECLARE_DYNAMIC(CRequirementStageDlg)

public:
	CRequirementStageDlg(CaplAPI *api, CaplInstance *reqStage, aplExtent &documents, CWnd* pParent = 0);   // стандартный конструктор
	virtual ~CRequirementStageDlg();

// Данные диалогового окна
	enum { IDD = IDD_REQUIREMENT_STAGE };

	CaplButton m_okBtn;
	CaplButton m_cancelBtn;
	CaplButton m_selectStageBtn;
	CaplButton m_addDocBtn;
	CaplButton m_propDocBtn;
	CaplButton m_delDocBtn;
	CaplButton m_clearStageBtn;
	CaplButton m_addEmptyDocBtn;

	CEdit m_stageEdit;

	CComboBox m_MOS;
	CListCtrl m_list;

	CaplAPI *m_api;
	aplExtent &m_documents;


	CaplInstance *m_project;
	CaplInstance *m_reqStage;	

	void InitList();
	void InitButtons();
	void FillMOS();
	void LoadMOS();
	void LoadStage();
	void LoadDocuments();
	void SaveDocuments();

	void SetProject(CaplInstance *project);
	void AddDocument(CaplInstance *document);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // поддержка DDX/DDV
	virtual BOOL OnInitDialog();
	virtual void OnOK();

	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedSelectStage();
	afx_msg void OnBnClickedClearStage();
	afx_msg void OnBnClickedAddDoc();
	afx_msg void OnBnClickedPropDoc();
	afx_msg void OnBnClickedDelDoc();
};
